package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import java.util.function.Function;

public class MySingletonBean {

    @Autowired
    private Function<String, MyPrototypeBean> myPrototypeBeanFunction;

    public void showMessage() {
        MyPrototypeBean bean = myPrototypeBeanFunction.apply("Hi there!");
        System.out.printf("message: %s - instance: %s%n", bean.getMessage(), System.identityHashCode(bean));
    }
}